#include <stdio.h>
#include <stdlib.h>

#define N 100000

#define MAXVAL 100000

int main()
{
  int i;
  
  printf("%d\n", N);
  for (i=0; i<N; i++)
  {
    int x, y;
    x=rand() % MAXVAL + 1;
    while (x % 10 == 0) x/=10;
    y=rand() % MAXVAL + 1;
    while (y % 10 == 0) y/=10;
    printf("%d %d\n", x, y);
  }
  
  return 0;
}
